Subject: Re: [X2Go-Dev] Bug#1455: X2Go client does not connect from Windows WSL

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 8 Apr 2020 22:18:19 +0200

I have never tried WSL but I guess the X server is running naively on
windows.  So what is the DISPLAY variable inside the WSL set to?

Uli

On Wed, Apr 8, 2020 at 10:00 PM Chris Greenshields
<[email-masked]> wrote:
>
> Package: x2goclient
> Version: 4.1.2.2
>
> A colleague is trying to connect the X2Go client to a remote machine
> from a Windows 10 PC. He can connect OK from the X2Go client running
> natively in Windows. His work uses the Windows Subsystem for Linux so
> he would like to run the x2goclient through that. Graphical
> applications themselves work fine, but when he attempts to connect the
> X2Go client to the remote machine, he gets the message below. I
> appreciate this is a low priority since he has a workable solution,
> but mainly wondered if anyone had encountered this issue before.
> ...
> Warning: Overriding auxiliary X11 port with new value '1'
> Info: Falling back to file system X11 socket for accessing DISPLAY=:0
> Loop: PANIC! Can't determine the location of the X display socket
> Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Session: Session terminated...
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev